
TYPO3.Flow - Bug # 6501

Status: Closed Priority: -- undefined --
Author: Test no-lastname-given Category: Persistence
Created: 2010-02-17 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: RuntimeException thrown in file Backend.php
Description

Could not create persistence tables with DSN "sqlite:/var/www/typo3dev.co.uk/flow3/Data/Persistent/Objects.db". PDO error: could
not find driver
7 F3\FLOW3\Persistence\Backend\GenericPdo\Backend::createTables()
6 F3\FLOW3\Persistence\Backend\GenericPdo\Backend::connect()
5 F3\FLOW3\Persistence\Backend\GenericPdo\Backend::initialize(array)
4 F3\FLOW3\Persistence\PersistenceManager::initialize()
3 F3\FLOW3\Core\Bootstrap::initializePersistence()
2 F3\FLOW3\Core\Bootstrap::initialize()
1 require("/var/www/typo3dev.co.uk/flow3/Packages/Framework/FLOW3/Scripts/FLOW3.php")

- The above happened during the first install (permissions and virtual host set properly) 
- Debian 5
- PHP 5.3.1

Application requires apparently sqlite which is not necessary application on the given server.

History
#1 - 2010-02-17 19:46 - Test no-lastname-given

Even after the sqlite driver is there, it is puzzling for me why Flow3 doesn't see mysql driver.

#2 - 2010-02-18 23:54 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
- Priority changed from Must have to -- undefined --
- Target version deleted (1.0 alpha 8)

Well, if I get you right, you want to use MySQL. Then you need to configure FLOW3 accordingly.

... with DSN "sqlite:/var/www/typo3dev.co.uk/flow3/Data/Persistent/Objects.db" 

As long as the DSN points to SQLite, how is it supposed to use MySQL?

If you wanted to say you installed the SQLite driver, make sure you installed the right one and it is active. Check phpinfo() output for presence of
SQLite in the "PDO drivers" section.
#3 - 2010-02-19 01:09 - Test no-lastname-given

Dear Karsten,

Thank you for your response.

No, you didn't get me right, but it is not your mistake. I didn't explain myself properly.

I was just puzzled that the framework, while being very modern and sophisticated, actually behaves fairly rigidly and doesn't support flexible discovery
of available services, but instead requires unavailable services and doesn't "see" the available one.

Maybe it would be good to change this issue ticket to a feature request.

On the other hand, maybe I am just "not informed", and there is an "installation tool" under construction. In case it is, please accept my sincere
apologies for I didn't know about it.

Thank you.

Kind regards, T

P.S.: SQLite works fine. Naturally I have the latest version.

#4 - 2010-02-24 11:39 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

There will be some setup tool in the future, of course.

As far as the discovery goes, even if it could detect a missing PDO driver that would "only" lead to a nicer error message with the same facts. Because
it could not possibly discover the connection parameters for any other database, thus you'd need to adjust configuration anyway.

#5 - 2010-02-24 12:00 - Karsten Dambekalns
- Target version set to 1.0 alpha 8

I created a proper exception page on the wiki giving some hints.

2015-08-03 2/2


